build:gcc10-seq-release:
  image: localhost:5000/ubuntu_gcc10
  stage: build
  needs: []
  script:
    - mkdir -p build/gcc10-release-seq
    - cd build/gcc10-release-seq
    - CXX=g++-10 CC=gcc-10 cmake ../.. -DCMAKE_BUILD_TYPE=Release
    - make pugs
  cache:
    key: "${CI_COMMIT_REF_SLUG}-gcc10-release-seq"
    paths:
      - build/gcc10-release-seq
    untracked: true

test:gcc10-seq-release:
  image: localhost:5000/ubuntu_gcc10
  stage: test
  needs: ["build:gcc10-seq-release"]
  script:
    - mkdir -p build/gcc10-release-seq
    - cd build/gcc10-release-seq
    - CXX=g++-10 CC=gcc-10 cmake ../.. -DCMAKE_BUILD_TYPE=Release
    - make run_unit_tests
  cache:
    key: "${CI_COMMIT_REF_SLUG}-gcc10-release-seq"
    paths:
      - build/gcc10-release-seq
    untracked: true
